Bug 1369285 (CVE-2016-6338) - CVE-2016-6338 ovirt-engine: webadmin log out must logout all sessions
Summary: CVE-2016-6338 ovirt-engine: webadmin log out must logout all sessions
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2016-6338
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
: 1370318 (view as bug list)
Depends On: 1370890 1370632 1370633 1471325
Blocks: 1368366
TreeView+ depends on / blocked
 
Reported: 2016-08-23 02:11 UTC by Kurt Seifried
Modified: 2019-09-29 13:55 UTC (History)
11 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
It was discovered that the ovirt-engine webadmin session would not properly enforce timeouts. Browser sessions would remain logged in beyond the administratively configured session timeout period.
Clone Of:
Environment:
Last Closed: 2019-06-08 02:57:43 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:3427 normal SHIPPED_LIVE Low: org.ovirt.engine-root security, bug fix, and enhancement update 2017-12-12 14:16:31 UTC

Description Kurt Seifried 2016-08-23 02:11:52 UTC
Greg Sheremeta of Red Hat reports:

We've found a scenario a webadmin session won't timeout and force a logout. We had a CVE on this before.

To duplicate: navigate to the Data Centers tab. Select a data center. Switch to another browser tab and wait longer than the engine timeout period [1] to switch back to webadmin. You won't be logged out -- even though you should be.

Basically, idling while certain things in the UI are selected (a data center, a cluster -- maybe others?) will prevent the session from timing out. We see three gluster queries that are repeating and keeping the session open. Alexander is looking for others. We know the fix -- just have to find them all.

Comment 1 Kurt Seifried 2016-08-23 02:12:01 UTC
Acknowledgments:

Name: Greg Sheremeta (Red Hat)

Comment 4 Kurt Seifried 2016-08-28 02:07:20 UTC
Created ovirt-engine tracking bugs for this issue:

Affects: fedora-all [bug 1370890]

Comment 5 Oved Ourfali 2016-08-30 12:15:17 UTC
*** Bug 1370318 has been marked as a duplicate of this bug. ***

Comment 7 errata-xmlrpc 2017-12-12 09:20:37 UTC
This issue has been addressed in the following products:

  RHEV Engine version 4.1

Via RHSA-2017:3427 https://access.redhat.com/errata/RHSA-2017:3427


Note You need to log in before you can comment on or make changes to this bug.